---
title: RTCIceParameters.usernameFragment
slug: Web/API/RTCIceParameters/usernameFragment
tags:
  - API
  - Candidate
  - ICE
  - Negotiation
  - Property
  - RTCIceParameters
  - Reference
  - Web RTC API
  - WebRTC
  - ice-ufrag
  - parameters
  - rtc
  - ufrag
  - username
  - usernameFragment
---
<div>{{APIRef("WebRTC")}}</div>

<p>The <strong>{{domxref("RTCIceParameters")}}</strong> dictionary's <code><strong>usernameFragment</strong></code> property specifies the username fragment ("ufrag") that uniquely identifies the corresponding ICE session for the duration of the current ICE session.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ufrag</em> = <em>RTCIceParameters</em>.usernameFragment;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the username fragment that, in tandem with the {{domxref("RTCIceParameters.password", "password")}}, uniquely identify the ICE session being used by the transport. The string may be up to 256 characters long.</p>

<p>See {{domxref("RTCIceCandidate.usernameFragment")}} to learn more about username fragments and their role in a connection.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtciceparameters-usernamefragment', 'RTCIceParameters.usernameFragment')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceParameters.usernameFragment")}}</p>

